# Uses of Interface
org.astrogrid.samp.hub.ProfileToken

Packages that use ProfileToken
Package
Description
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of ProfileToken in org.astrogrid.samp.gui

Methods in org.astrogrid.samp.gui with parameters of type ProfileToken
Modifier and Type
Method
Description
`HubClient`
MessageTrackerHubService.`createClient(String publicId, ProfileToken ptoken)`

## Uses of ProfileToken in org.astrogrid.samp.hub

Subinterfaces of ProfileToken in org.astrogrid.samp.hub
Modifier and Type
Interface
Description
`interface`
`ConfigHubProfile`
Marks a HubProfile that can also provide GUI-based configuration.
`interface`
`HubProfile`
Defines a hub profile.
Methods in org.astrogrid.samp.hub that return ProfileToken
Modifier and Type
Method
Description
`ProfileToken`
HubClient.`getProfileToken()`
Returns a token identifying the source of this client's connection to the hub.
Methods in org.astrogrid.samp.hub with parameters of type ProfileToken
Modifier and Type
Method
Description
`protected HubClient`
BasicHubService.`createClient(String publicId, ProfileToken ptoken)`
Factory method used to create all the client objects which will be used by this hub service.
`void`
BasicHubService.`disconnectAll(ProfileToken profileToken)`
`void`
FacadeHubService.`disconnectAll(ProfileToken profileToken)`
`void`
HubService.`disconnectAll(ProfileToken profileToken)`
Forcibly terminates any connections created by a previous call of `HubService.register(org.astrogrid.samp.hub.ProfileToken)` with a particular `profileToken`.
`HubConnection`
BasicHubService.`register(ProfileToken ptoken)`
`HubConnection`
FacadeHubService.`register(ProfileToken profileToken)`
`HubConnection`
HubService.`register(ProfileToken profileToken)`
Creates a new connection to this hub service, thereby initiating a new registered client.
Constructors in org.astrogrid.samp.hub with parameters of type ProfileToken
Modifier
Constructor
Description
``
`HubClient(String publicId, ProfileToken profileToken)`
Constructor.

## Uses of ProfileToken in org.astrogrid.samp.web

Classes in org.astrogrid.samp.web that implement ProfileToken
Modifier and Type
Class
Description
`class`
`WebHubProfile`
HubProfile implementation for Web Profile.

## Uses of ProfileToken in org.astrogrid.samp.xmlrpc

Classes in org.astrogrid.samp.xmlrpc that implement ProfileToken
Modifier and Type
Class
Description
`class`
`StandardHubProfile`
HubProfile implementation for the SAMP Standard Profile.